This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Update autodie to CPAN version 2.32
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Mon, 20 Jan 2020 11:22:51 +0000 (11:22 +0000)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Mon, 20 Jan 2020 11:22:51 +0000 (11:22 +0000)
  [DELTA]

2.32      2020-01-16 11:40:52-06:00 America/Chicago

        * Update automated tests to include soft dependencies.

        * Remove Test::Perl::Critic as a testing requirement.

        * Update README.md to show github actions status
          not Travis.

Porting/Maintainers.pl
cpan/autodie/lib/Fatal.pm
cpan/autodie/lib/autodie.pm
cpan/autodie/lib/autodie/Scope/Guard.pm
cpan/autodie/lib/autodie/Scope/GuardStack.pm
cpan/autodie/lib/autodie/Util.pm
cpan/autodie/lib/autodie/exception.pm
cpan/autodie/lib/autodie/exception/system.pm
cpan/autodie/lib/autodie/hints.pm
cpan/autodie/lib/autodie/skip.pm

index e34acf0..7fb208a 100755 (executable)
@@ -137,7 +137,7 @@ use File::Glob qw(:case);
     },
 
     'autodie' => {
-        'DISTRIBUTION' => 'TODDR/autodie-2.31.tar.gz',
+        'DISTRIBUTION' => 'TODDR/autodie-2.32.tar.gz',
         'FILES'        => q[cpan/autodie],
         'EXCLUDED'     => [
             qr{benchmarks},
index fd78e3b..09abfb8 100644 (file)
@@ -55,7 +55,7 @@ use constant ERROR_58_HINTS => q{Non-subroutine %s hints for %s are not supporte
 
 use constant MIN_IPC_SYS_SIMPLE_VER => 0.12;
 
-our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg::Version
+our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg::Version
 
 our $Debug ||= 0;
 
@@ -167,6 +167,7 @@ my %TAGS = (
     ':2.29'  => [qw(:default)],
     ':2.30'  => [qw(:default)],
     ':2.31'  => [qw(:default)],
+    ':2.32'  => [qw(:default)],
 );
 
 
index df52fb0..8f62d67 100644 (file)
@@ -9,7 +9,7 @@ our $VERSION;
 # ABSTRACT: Replace functions with ones that succeed or die with lexical scope
 
 BEGIN {
-    our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg::Version
+    our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg::Version
 }
 
 use constant ERROR_WRONG_FATAL => q{
index 065c5ba..8ee412b 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 use warnings;
 
 # ABSTRACT: Wrapper class for calling subs at end of scope
-our $VERSION = '2.31'; # VERSION
+our $VERSION = '2.32'; # VERSION
 
 # This code schedules the cleanup of subroutines at the end of
 # scope.  It's directly inspired by chocolateboy's excellent
index bd19f5b..9b0a906 100644 (file)
@@ -6,7 +6,7 @@ use warnings;
 use autodie::Scope::Guard;
 
 # ABSTRACT: Hook stack for managing scopes via %^H
-our $VERSION = '2.31'; # VERSION
+our $VERSION = '2.32'; # VERSION
 
 my $H_KEY_STEM = __PACKAGE__ . '/guard';
 my $COUNTER = 0;
index ead05d4..1a04a19 100644 (file)
@@ -14,7 +14,7 @@ our @EXPORT_OK = qw(
   on_end_of_compile_scope
 );
 
-our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg:Version
+our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg:Version
 
 # ABSTRACT: Internal Utility subroutines for autodie and Fatal
 
index e249eff..d4c14f9 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 use warnings;
 use Carp qw(croak);
 
-our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg:Version
+our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg:Version
 # ABSTRACT: Exceptions from autodying functions.
 
 our $DEBUG = 0;
index df771c9..b0e270c 100644 (file)
@@ -5,7 +5,7 @@ use warnings;
 use parent 'autodie::exception';
 use Carp qw(croak);
 
-our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg:Version
+our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg:Version
 
 # ABSTRACT: Exceptions from autodying system().
 
index dac6e9d..c3f83ed 100644 (file)
@@ -5,7 +5,7 @@ use warnings;
 
 use constant PERL58 => ( $] < 5.009 );
 
-our $VERSION = '2.31'; # VERSION: Generated by DZP::OurPkg:Version
+our $VERSION = '2.32'; # VERSION: Generated by DZP::OurPkg:Version
 
 # ABSTRACT: Provide hints about user subroutines to autodie
 
index 9d2dbc8..ad9706c 100644 (file)
@@ -2,7 +2,7 @@ package autodie::skip;
 use strict;
 use warnings;
 
-our $VERSION = '2.31'; # VERSION
+our $VERSION = '2.32'; # VERSION
 
 # This package exists purely so people can inherit from it,
 # which isn't at all how roles are supposed to work, but it's